package cn.com.tenlion.systembase.controller.route.schoolkey;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: SchoolKeyController
 * @Description: 学校周边重点人员
 * @Author: CodeFactory
 * @Date: 2021-10-13 10:05:21
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "学校周边重点人员路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/schoolkey")
public class SchoolKeyRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("schoolkey/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("schoolkey/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("schoolkey/list");
    }

    @GetMapping("list-view")
    public ModelAndView listView() {
        return new ModelAndView("schoolkey/list-view");
    }

}